> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Freeze a wallet

> Freeze a wallet to restrict its ability to transact, preventing any further activity.



## OpenAPI

````yaml POST /token/{address}/freeze
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{address}/freeze:
    post:
      tags:
        - Token
      description: >-
        Freeze a wallet to restrict its ability to transact, preventing any
        further activity.
      operationId: freeze
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletAddress'
      responses:
        '200':
          description: The wallet has been successfully frozen
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionHashResponse'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    WalletAddress:
      type: object
      properties:
        address:
          type: string
          description: The address of the wallet
          example: '0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E'
      required:
        - address
    TransactionHashResponse:
      type: object
      properties:
        txHash:
          type: string
          description: The transaction hash of the action
          example: '0x0d1d4e623d10f9fba5db95830f7d3839406c6af2'
      required:
        - txHash

````